Name: RasMol
Version: 2.7.3
Release: alt1

Summary: Molecular Graphics Visualisation Tool
License: GPL-like
Group: Sciences/Chemistry

Source: ftp://ftp.bernstein-plus-sons.com/software/%{name}_%version.tar.gz
Source1: rasmol.sh
Source2: rasmol.xpm
Source3: rasmol_16x14.png
Source4: rasmol_32x29.png
Source5: rasmol_64x58.png
Source6: %name.menu

Url: http://www.openrasmol.org

Summary(ru_RU.KOI8-R):     
Summary(uk_UA.KOI8-U):   צ̦æ  

# Automatically added by buildreq on Fri Aug 15 2003
BuildRequires: XFree86-devel

%description
RasMol is a molecular graphics program intended for the visualisation of
proteins, nucleic acids and small molecules. The program is aimed at display,
teaching and generation of publication quality images.

%description -l ru_RU.KOI8-R
RasMol -   ,   
,     .    ,
     .

%description -l uk_UA.KOI8-U
RasMol -  ϧ Ʀ,  դ  צ̦æ
ŧΦ, ŧ    .    צ,
  æ   ̦æ.

%prep
%setup -q -n %{name}_%version

%build
CFLAGS="%optflags"
pushd src
xmkmf
%__make clean rasmol "DEPTHDEF=-DEIGHTBIT"
%__mv rasmol rasmol-8bpp
%__make clean rasmol "DEPTHDEF=-DSIXTEENBIT"
%__mv rasmol rasmol-16bpp
%__make clean rasmol "DEPTHDEF=-DTHIRTYTWOBIT"
%__mv rasmol rasmol-32bpp
popd

%install
%__install -m755 -pD %SOURCE1 %buildroot%_bindir/rasmol
%__install -m755 src/rasmol-8bpp %buildroot%_bindir/rasmol-8bpp
%__install -m755 src/rasmol-16bpp %buildroot%_bindir/rasmol-16bpp
%__install -m755 src/rasmol-32bpp %buildroot%_bindir/rasmol-32bpp

%__mkdir_p %buildroot%_datadir/%name %buildroot%_man1dir/
%__install -m644 doc/rasmol.1.gz %buildroot%_man1dir/rasmol.1.gz
%__install -m644 doc/rasmol.hlp %buildroot%_datadir/%name/rasmol.hlp
%__install -m644 doc/rasmol.html %buildroot%_datadir/%name/rasmol.html

pushd doc
%__rm rasmol.hlp rasmol.html rasmol.1.gz
%__mkdir doc
%__install -m644 *.html *.pdf.gz *.ps.gz *.rtf.gz rasmol.doc.gz doc/
%__mkdir examples
popd

%__mv data/* doc/examples/

%__install -pD -m644 %SOURCE2 %buildroot%_iconsdir/rasmol.xpm
%__install -pD -m644 %SOURCE3 %buildroot%_iconsdir/hicolor/16x16/apps/rasmol.png
%__install -pD -m644 %SOURCE4 %buildroot%_iconsdir/hicolor/32x32/apps/rasmol.png
%__install -pD -m644 %SOURCE5 %buildroot%_iconsdir/hicolor/64x64/apps/rasmol.png
%__install -pD -m644 %SOURCE6 %buildroot%_menudir/%name

%post
%update_menus

%postun
%clean_menus

%files
%doc doc/
%doc NOTICE PROJECTS RASLIC README* INSTALL* TODO* ChangeLog* history.html
%_bindir/*
%_menudir/%name
%_iconsdir/rasmol.xpm
%_iconsdir/hicolor/??x??/apps/rasmol.png
%_datadir/%name/
%_man1dir/*

%changelog
* Wed Oct 19 2005 Michael Shigorin <mike@altlinux.org> 2.7.3-alt1
- 2.7.3
- fixed #5622 (one-byte, cosmetic)
- spec update/cleanup

* Fri Aug 15 2003 Michael Shigorin <mike@altlinux.ru> 2.7.1.1-alt1
- multi build for 8/16/32-bpp, modified wrapper to select proper binary
- spec cleanup

* Sat Jun 28 2003 Denis G. Samsonenko <denis@che.nsk.su>
- build for ALTLinux Master 2.2
